import GlobalEvents from "../Events/GlobalEvents";
import GlobalStorage from "../Models/Storage/GlobalStorage";
export interface IGlobalContextOptions {
    contextId: string;
    globalEvents: GlobalEvents;
    globalStorage: GlobalStorage;
}
export declare class GlobalContext {
    private m_events;
    private m_storage;
    constructor(options: IGlobalContextOptions);
    get events(): GlobalEvents;
    get storage(): GlobalStorage;
}
export declare class GroupContext {
    private m_events;
    private m_storage;
    constructor(options: IGlobalContextOptions);
    get events(): GlobalEvents;
    get storage(): GlobalStorage;
}
export declare class Context {
}
